#ifdef STATISTICS
/*
 * $Id: Context_State_statistics_deallocation.cpp 120 2009-05-26 19:01:47Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/Context_State/include/Context_State.h"
#include "Behavioural/include/Allocation.h"

namespace morpheo {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace context_state {


#undef  FUNCTION
#define FUNCTION "Context_State::statistics_deallocation"
  void Context_State::statistics_deallocation (void)
  {
    log_begin(Context_State,FUNCTION);

    log_printf(INFO,Context_State,FUNCTION,_("Generate Statistics file"));

    delete _stat;

    DELETE1(_stat_nb_cycle_state_ok                     ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_excep               ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_miss_branch         ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_miss_load           ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_miss_load_and_branch,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_msync               ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_psync               ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_csync               ,_param->_nb_context);
    DELETE1(_stat_nb_cycle_state_ko_spr                 ,_param->_nb_context);
    
    log_end(Context_State,FUNCTION);
  };

}; // end namespace context_state
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
